---
title: MouseEvent.metaKey
slug: Web/API/MouseEvent/metaKey
tags:
  - API
  - DOM
  - DOM Events
  - MouseEvent
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <strong><code>MouseEvent.metaKey</code></strong> read-only property is a {{jsxref("Boolean")}} that indicates whether the <kbd>meta</kbd> key was pressed or not when a given mouse event occurs.</p>

<p>Be aware that many operating systems bind special functionality to the <kbd>meta</kbd> key, so this property may be <code>false</code> even when the key is actually pressed. On Windows, for example, this key may open the Start menu.</p>

<div class="note">
<p><strong>Note:</strong> On Macintosh keyboards, this key is the <kbd>command</kbd> key (<kbd>⌘</kbd>). On Windows keyboards, this key is the Windows key (<kbd>⊞</kbd>).</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>metaKeyPressed</em> = <em>instanceOfMouseEvent</em>.metaKey
</pre>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Boolean")}}, where <code>true</code> indicates that the key is pressed, and <code>false</code> indicates that the key is <em>not</em> pressed.</p>

<h2 id="Example">Example</h2>

<p>This example logs the <code>metaKey</code> property when you trigger a {{Event("click")}} event.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;p&gt;Click anywhere to test the &lt;code&gt;metaKey&lt;/code&gt; property.&lt;/p&gt;
&lt;p id="log"&gt;&lt;/p&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">let log = document.querySelector('#log');
document.addEventListener('click', logKey);

function logKey(e) {
  log.textContent = `The meta key is pressed: ${e.metaKey}`;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events','#widl-MouseEvent-metaKey','MouseEvent.metaKey')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>No change from {{SpecName('DOM2 Events')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Events','#Events-MouseEvent','MouseEvent.metaKey')}}</td>
   <td>{{Spec2('DOM2 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MouseEvent.metaKey")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("MouseEvent") }}</li>
</ul>
